Open Bug 1424451 Opened 2 years ago Updated 2 months ago

Firefox crashes while updating and restarting. Crash in [@ IPCError-browser | ShutDownKill]. Signature replaced with an IPC Channel Error.

Categories

(Core :: DOM: Content Processes, defect, P3, critical)

54 Branch
defect

Tracking

()

REOPENED
Tracking Status
firefox-esr52 --- affected
firefox-esr60 --- affected
firefox57 --- affected
firefox58 --- affected
firefox59 --- affected
firefox60 --- affected
firefox67 --- affected

People

(Reporter: skywalker333, Unassigned)

References

(Blocks 2 open bugs, )

Details

(4 keywords)

Crash Data

User Story

Firefox crashes while updating and restarting.
Firefox crashes while updating and restarting. 
Crash in [@ IPCError-browser | ShutDownKill]. 
Signature replaced with an IPC Channel Error.

Multiple crash reports are generated. 

Report ID 	Date Submitted
bp-269cd454-8260-4155-a9d2-c0c440171209
	12/8/2017	7:13 PM
bp-67513181-a52b-406b-82ec-0e3520171209
	12/8/2017	7:13 PM
bp-21588ab5-0258-450a-bca2-e2ce30171209
	12/8/2017	7:13 PM
bp-1853f6c8-9322-4c2a-b1b0-9f0b00171209
	12/8/2017	7:13 PM
bp-b83d4bc7-1d8f-4e06-aa87-d8ad10171209
	12/8/2017	7:13 PM
	
Firefox 59.0a1 Crash Report [@ IPCError-browser | ShutDownKill ]

Signature replaced with an IPC Channel Error, was: "EMPTY: no crashing thread identified; ERROR_NO_THREAD_LIST"

Signature replaced with an IPC Channel Error, was: "arena_t::DallocSmall | arena_dalloc | js::FreeOp::delete_<T>"

Signature replaced with an IPC Channel Error, was: "core::ptr::drop_in_place<T>"

Signature replaced with an IPC Channel Error, was: "mozilla::widget::WinUtils::WaitForMessage | nsAppShell::ProcessNextNativeEvent"

Signature replaced with an IPC Channel Error, was: "core::ptr::drop_in_place<T>"
Crash Signature: [@ IPCError-browser | ShutDownKill] https://crash-stats.mozilla.com/signature/?product=Firefox&proto_signature=~core%3A%3Aptr%3A%3Adrop_in_place&signature=IPCError-browser | ShutDownKill → [@ IPCError-browser | ShutDownKill] https://crash-stats.mozilla.com/signature/?product=Firefox&proto_signature=~core%3A%3Aptr%3A%3Adrop_in_place&signature=IPCError-browser | ShutDownKill https://crash-stats.mozilla.com/signature/?product=Firefox&proto_s…
Showing results from 7 days ago


Signature replaced with an IPC Channel Error, was: "EMPTY: no crashing thread identified; ERROR_NO_THREAD_LIST"

https://crash-stats.mozilla.com/signature/?product=Firefox&proto_signature=~EMPTY%3A%20no%20crashing%20thread%20identified%3B%20ERROR_NO_THREAD_LIST&signature=IPCError-browser%20%7C%20ShutDownKill


13,888 Results = 3.9% of 358,732
Signature replaced with an IPC Channel Error, was: "core::ptr::drop_in_place<T>"

https://crash-stats.mozilla.com/signature/?product=Firefox&proto_signature=~core%3A%3Aptr%3A%3Adrop_in_place&signature=IPCError-browser | ShutDownKill


72,277 Results = 20.1% of 358,732
Signature replaced with an IPC Channel Error, was: "mozilla::widget::WinUtils::WaitForMessage | nsAppShell::ProcessNextNativeEvent"

https://crash-stats.mozilla.com/signature/?product=Firefox&proto_signature=~mozilla%3A%3Awidget%3A%3AWinUtils%3A%3AWaitForMessage%20%7C%20nsAppShell%3A%3AProcessNextNativeEvent&signature=IPCError-browser%20%7C%20ShutDownKill


6 Results = 0.0017% of 358,732
Signature replaced with an IPC Channel Error, was: "arena_t::DallocSmall | arena_dalloc | js::FreeOp::delete_<T>"

https://crash-stats.mozilla.com/signature/?product=Firefox&proto_signature=~arena_t%3A%3ADallocSmall%20%7C%20arena_dalloc%20%7C%20js%3A%3AFreeOp%3A%3Adelete_%3CT%3E&signature=IPCError-browser%20%7C%20ShutDownKill


358,732 Results
[@ IPCError-browser | ShutDownKill ]

https://crash-stats.mozilla.com/signature/?product=Firefox&signature=IPCError-browser%20%7C%20ShutDownKill
Crash Signature: stats.mozilla.com/signature/?product=Firefox&proto_signature=~arena_t%3A%3ADallocSmall%20%7C%20arena_dalloc%20%7C%20js%3A%3AFreeOp%3A%3Adelete_%3CT%3E&signature=IPCError-browser%20%7C%20ShutDownKill → stats.mozilla.com/signature/?product=Firefox&proto_signature=~arena_t%3A%3ADallocSmall%20%7C%20arena_dalloc%20%7C%20js%3A%3AFreeOp%3A%3Adelete_%3CT%3E&signature=IPCError-browser%20%7C%20ShutDownKill https://crash- stats.mozilla.com/signature/?product=Fir…
[@ core::ptr::drop_in_place<T> ]
1,603 Results
Signature report for core::ptr::drop_in_place<T>
https://crash-stats.mozilla.com/signature/?product=Firefox&signature=core%3A%3Aptr%3A%3Adrop_in_place%3CT%3E

[@ mozilla::widget::WinUtils::WaitForMessage | nsAppShell::ProcessNextNativeEvent ]
163 Results
Signature report for mozilla::widget::WinUtils::WaitForMessage | nsAppShell::ProcessNextNativeEvent
https://crash-stats.mozilla.com/signature/?product=Firefox&signature=mozilla%3A%3Awidget%3A%3AWinUtils%3A%3AWaitForMessage%20%7C%20nsAppShell%3A%3AProcessNextNativeEvent

[@ arena_t::DallocSmall | arena_dalloc | js::FreeOp::delete_<T> ]
No results were found.
Signature report for arena_t::DallocSmall | arena_dalloc | js::FreeOp::delete_<T>
https://crash-stats.mozilla.com/search/?signature=~arena_t%3A%3ADallocSmall%20%7C%20arena_dalloc%20%7C%20js%3A%3AFreeOp%3A%3Adelete_%3CT%3E&product=Firefox
 
[@ EMPTY: no crashing thread identified; ERROR_NO_THREAD_LIST ] 
1,386 Results
Signature report for EMPTY: no crashing thread identified; ERROR_NO_THREAD_LIST
https://crash-stats.mozilla.com/signature/?product=Firefox&signature=EMPTY%3A%20no%20crashing%20thread%20identified%3B%20ERROR_NO_THREAD_LIST
Crash Signature: [@ IPCError-browser | ShutDownKill] https://crash-stats.mozilla.com/signature/?product=Firefox&proto_signature=~core%3A%3Aptr%3A%3Adrop_in_place&signature=IPCError-browser | ShutDownKill https://crash-stats.mozilla.com/signature/?product=Firefox&proto_s… → [@ IPCError-browser | ShutDownKill] [@ core::ptr::drop_in_place<T> ] [@ mozilla::widget::WinUtils::WaitForMessage | nsAppShell::ProcessNextNativeEvent ] [@ arena_t::DallocSmall | arena_dalloc | js::FreeOp::delete_<T> ] [@ EMPTY: no crashing thread ide…
See Also: → 1306746
See Also: → 1405290
I think Bug 1405290 is related to the bugs generating crash signatures of [@ IPCError-browser | ShutDownKill ] with processor notes "Signature replaced with an IPC Channel Error, was ______.". 

I had the following crash reports generated while updating Firefox Nightly. 

Therefore, Bug 1405290 blocks Bug 1279293(IPCError_ShutDownKill) 
(Or could be changed to "See Also".)

And Bug 1405290 is See Also Bug 1424451.

2017-12-10 2138pm Firefox Nightly crashed while updating.

Firefox 59.0a1 Crash Report [@ IPCError-browser | ShutDownKill ]
Firefox 59.0a1 Crash Report [@ mozilla::dom::workers::RuntimeService::CrashIfHanging ]

MOZ_CRASH Reason 	Workers Hanging - A:3|S:0|Q:0-BC:0|WorkerHolderToken-BC:0|WorkerHolderToken-BC:0|WorkerHolderToken

These crash reports were generated at the same time, but were manually submitted a minute apart from each other.

bp-f25eb0e9-d35f-44c8-90f9-e5b7f0171211
	12/10/2017	8:46 PM
bp-40531424-889a-42b4-a8f2-7010a0171211
	12/10/2017	8:45 PM
bp-e236ffa2-0ab1-453b-bd87-8c2f80171211
	12/10/2017	8:44 PM
bp-0000c897-5a75-4397-9cd3-5edd10171211
	12/10/2017	8:43 PM
bp-1a1b6cf1-0022-4dd6-b8df-66f400171211
	12/10/2017	8:42 PM
bp-ab36ebe6-53f4-4fe0-ba77-b41ee0171211
	12/10/2017	8:41 PM
bp-4981d798-cfa1-45a8-8493-38e390171211
	12/10/2017	8:38 PM
	
bp-f25eb0e9-d35f-44c8-90f9-e5b7f0171211
	12/10/2017	8:46 PM
Firefox 59.0a1 Crash Report [@ mozilla::dom::workers::RuntimeService::CrashIfHanging ]
Crash Reason 	EXCEPTION_BREAKPOINT

MOZ_CRASH Reason 	Workers Hanging - A:3|S:0|Q:0-BC:0|WorkerHolderToken-BC:0|WorkerHolderToken-BC:0|WorkerHolderToken

Crashing Thread (64), Name: Shutdown Hang Terminator
Frame 	Module 	Signature 	Source
0 	mozglue.dll 	MOZ_CrashOOL 	mfbt/Assertions.cpp:33
1 	xul.dll 	mozilla::dom::workers::RuntimeService::CrashIfHanging() 	dom/workers/RuntimeService.cpp:2191
2 	xul.dll 	mozilla::`anonymous namespace'::RunWatchdog 	toolkit/components/terminator/nsTerminator.cpp:162
3 	nss3.dll 	_PR_NativeRunThread 	nsprpub/pr/src/threads/combined/pruthr.c:397	
	
	
bp-40531424-889a-42b4-a8f2-7010a0171211
	12/10/2017	8:45 PM
Firefox 59.0a1 Crash Report [@ IPCError-browser | ShutDownKill ]
Crash Reason 	EXCEPTION_BREAKPOINT

Signature replaced with an IPC Channel Error, was: "style::rule_tree::StrongRuleNode::gc"

Crashing Thread (0)
Frame 	Module 	Signature 	Source
0 	xul.dll 	style::rule_tree::StrongRuleNode::gc 	servo/components/style/rule_tree/mod.rs:1061
1 	xul.dll 	geckoservo::glue::Servo_StyleSet_Drop 	servo/ports/geckolib/glue.rs:2415
2 	xul.dll 	mozilla::ServoStyleSet::Shutdown() 	layout/style/ServoStyleSet.cpp:180
3 	xul.dll 	mozilla::PresShell::Destroy() 	layout/base/PresShell.cpp:1360	
	
	
bp-e236ffa2-0ab1-453b-bd87-8c2f80171211
	12/10/2017	8:44 PM
Firefox 59.0a1 Crash Report [@ IPCError-browser | ShutDownKill ]
Crash Reason 	EXCEPTION_BREAKPOINT

Signature replaced with an IPC Channel Error, was: "RequestBehaviour::GetProgressTracker"

Crashing Thread (0)
Frame 	Module 	Signature 	Source
0 	xul.dll 	RequestBehaviour::GetProgressTracker() 	image/imgRequestProxy.cpp:95
1 	xul.dll 	RequestBehaviour::GetImage() 	image/imgRequestProxy.cpp:82
2 	xul.dll 	imgRequestProxy::RequestDiscard() 	image/imgRequestProxy.cpp:604
3 	xul.dll 	mozilla::dom::ImageTracker::RequestDiscardAll() 	dom/base/ImageTracker.cpp:157
	
	
bp-0000c897-5a75-4397-9cd3-5edd10171211
	12/10/2017	8:43 PM
Firefox 59.0a1 Crash Report [@ IPCError-browser | ShutDownKill ]
Crash Reason 	EXCEPTION_BREAKPOINT

Signature replaced with an IPC Channel Error, was: "RtlSafeRemoveEntryList | RtlDeleteCriticalSection | mozilla::detail::MutexImpl::~MutexImpl | mozilla::gfx::SourceSurfaceVolatileData::~SourceSurfaceVolatileData"

Crashing Thread (0)
Frame 	Module 	Signature 	Source
0 	ntdll.dll 	RtlSafeRemoveEntryList 	
1 	ntdll.dll 	RtlDeleteCriticalSection 	
2 	mozglue.dll 	mozilla::detail::MutexImpl::~MutexImpl() 	mozglue/misc/Mutex_windows.cpp:36
3 	xul.dll 	mozilla::gfx::SourceSurfaceVolatileData::~SourceSurfaceVolatileData() 	gfx/layers/SourceSurfaceVolatileData.h:101 
	
	
bp-1a1b6cf1-0022-4dd6-b8df-66f400171211
	12/10/2017	8:42 PM
Firefox 59.0a1 Crash Report [@ IPCError-browser | ShutDownKill ]
Crash Reason 	EXCEPTION_BREAKPOINT

Signature replaced with an IPC Channel Error, was: "servo_arc::Arc<T>::drop_slow<T>"

Crashing Thread (0)
Frame 	Module 	Signature 	Source
0 	xul.dll 	servo_arc::Arc<style::gecko_properties::ComputedValues>::drop_slow<style::gecko_properties::ComputedValues> 	servo/components/servo_arc/lib.rs:254
1 	xul.dll 	geckoservo::glue::Servo_Element_ClearData 	servo/ports/geckolib/glue.rs:943
2 	xul.dll 	mozilla::dom::Element::ClearServoData(nsIDocument*) 	dom/base/Element.cpp:4418	
	
	
	
bp-ab36ebe6-53f4-4fe0-ba77-b41ee0171211
	12/10/2017	8:41 PM
Firefox 59.0a1 Crash Report [@ IPCError-browser | ShutDownKill ]
Crash Reason 	EXCEPTION_BREAKPOINT

Signature replaced with an IPC Channel Error, was: "mozilla::widget::WinUtils::WaitForMessage | nsAppShell::ProcessNextNativeEvent"

Crashing Thread (0)
Frame 	Module 	Signature 	Source
0 	ntdll.dll 	NtWaitForMultipleObjects 	
1 	kernelbase.dll 	WaitForMultipleObjectsEx 	
2 	kernel32.dll 	WaitForMultipleObjectsExImplementation 	
3 	user32.dll 	RealMsgWaitForMultipleObjectsEx 	
	
	
bp-4981d798-cfa1-45a8-8493-38e390171211
	12/10/2017	8:38 PM	
Firefox 59.0a1 Crash Report [@ mozilla::dom::workers::RuntimeService::CrashIfHanging ]
Crash Reason 	EXCEPTION_BREAKPOINT

User Comments: Firefox Nightly crashed while updating.

MOZ_CRASH Reason 	Workers Hanging - A:3|S:0|Q:0-BC:0|WorkerHolderToken-BC:0|WorkerHolderToken-BC:0|WorkerHolderToken

Crashing Thread (64), Name: Shutdown Hang Terminator
Frame 	Module 	Signature 	Source
0 	mozglue.dll 	MOZ_CrashOOL 	mfbt/Assertions.cpp:33
1 	xul.dll 	mozilla::dom::workers::RuntimeService::CrashIfHanging() 	dom/workers/RuntimeService.cpp:2191
2 	xul.dll 	mozilla::`anonymous namespace'::RunWatchdog 	toolkit/components/terminator/nsTerminator.cpp:162
Crash Signature: identified; ERROR_NO_THREAD_LIST ] https://crash-stats.mozilla.com/signature/?product=Firefox&proto_signature=~core%3A%3Aptr%3A%3Adrop_in_place&signature=IPCError-browser | → identified; ERROR_NO_THREAD_LIST ] [@ mozilla::dom::workers::RuntimeService::CrashIfHanging ] https://crash-stats.mozilla.com/signature/?product=Firefox&proto_signature=~core%3A%3Aptr%3A%3Adrop_in_place&signature=IPCError-browser |
Moving this to a more appropriate component. Please change if is not the right one.
Component: Untriaged → DOM: Content Processes
Product: Firefox → Core
#1 crash signature for Thunderbird nightly
Severity: normal → critical
IPCError-browser | ShutDownKill seems very high in nightly. Jim - can you help us triage this particular crash signature?
Flags: needinfo?(jmathies)
User Comments: Firefox crashed while shutting down (via Menu with mouse, File, Exit).

Report ID 	Date Submitted
bp-2f89fa11-f687-4e8f-b8eb-5ea300171221
	12/21/2017	4:27 AM
bp-d8456e68-fddc-4110-a973-fba180171221
	12/21/2017	4:27 AM
bp-8eda98db-09e3-4c2b-872f-df2620171221
	12/21/2017	4:27 AM
bp-0642b069-f24b-4dd8-b415-64bf30171221
	12/21/2017	4:27 AM
bp-e251d41c-0ae9-4c24-86a8-45bfc0171221
	12/21/2017	4:27 AM
bp-fe5fe9f4-7266-4fb1-8c6f-f69740171221
	12/21/2017	4:27 AM
bp-0a5eca83-5bbb-4ccc-9c83-ce49d0171221
	12/21/2017	4:13 AM


Report ID 	Date Submitted
bp-2f89fa11-f687-4e8f-b8eb-5ea300171221
	12/21/2017	4:27 AM
Signature replaced with an IPC Channel Error, was: "rayon_core::latch::LockLatch::wait"
	
bp-d8456e68-fddc-4110-a973-fba180171221
	12/21/2017	4:27 AM
Signature replaced with an IPC Channel Error, was: "mozilla::widget::WinUtils::WaitForMessage | nsAppShell::ProcessNextNativeEvent"
	
bp-8eda98db-09e3-4c2b-872f-df2620171221
	12/21/2017	4:27 AM
Signature replaced with an IPC Channel Error, was: "mozilla::net::PHttpChannelChild::DestroySubtree"
	
bp-0642b069-f24b-4dd8-b415-64bf30171221
	12/21/2017	4:27 AM
Signature replaced with an IPC Channel Error, was: "core::ptr::drop_in_place<T>"
	
bp-e251d41c-0ae9-4c24-86a8-45bfc0171221
	12/21/2017	4:27 AM
[@ mozilla::dom::workers::RuntimeService::CrashIfHanging ]
	
bp-fe5fe9f4-7266-4fb1-8c6f-f69740171221
	12/21/2017	4:27 AM
ERROR_NO_MINIDUMP_HEADER; non-integer value of "SecondsSinceLastCrash"; MDSW did not identify the crashing thread; exploitability information missing; no 'topmost_file' name because ''crash_info'' is missing; CSignatureTool: No signature could be created because we do not know which thread crashed; Signature replaced with an IPC Channel Error, was: "EMPTY: no crashing thread identified; ERROR_NO_MINIDUMP_HEADER"	

	
bp-0a5eca83-5bbb-4ccc-9c83-ce49d0171221
	12/21/2017	4:13 AM

Firefox 59.0a1 Crash Report [@ mozilla::dom::workers::RuntimeService::CrashIfHanging ]

Date Processed 	2017-12-21 10:13:05
Uptime 	107,038 seconds (1 day, 5 hours and 43 minutes)
Last Crash 	107,367 seconds before submission (1 day, 5 hours and 49 minutes)
Install Age 	107,066 seconds since version was first installed (1 day, 5 hours and 44 minutes)
Install Time 	2017-12-20 04:25:51
Product 	Firefox
Release Channel 	nightly
Version 	59.0a1
Build ID 	20171219100203
OS 	Windows 7
	
MOZ_CRASH Reason 	Workers Hanging - A:4|S:0|Q:0-BC:0|WorkerHolderToken-BC:0|WorkerHolderToken-BC:1|WorkerHolderToken-BC:0|WorkerHolderToken
Crash Reason 	EXCEPTION_BREAKPOINT
Crash Address 	0x74aea7a5

User Comments: Firefox crashed while shutting down (via Menu with mouse, File, Exit).

Total Virtual Memory 	4,294,836,224 bytes (4.29 GB)
Available Virtual Memory 	2,748,751,872 bytes (2.75 GB)
Available Page File 	13,608,787,968 bytes (13.61 GB)
Available Physical Memory 	2,553,352,192 bytes (2.55 GB)
System Memory Use Percentage 	37 

Crashing Thread (53), Name: Shutdown Hang Terminator
Frame 	Module 	Signature 	Source
0 	mozglue.dll 	MOZ_CrashOOL 	mfbt/Assertions.cpp:33
1 	xul.dll 	mozilla::dom::workers::RuntimeService::CrashIfHanging() 	dom/workers/RuntimeService.cpp:2197
2 	xul.dll 	mozilla::`anonymous namespace'::RunWatchdog 	toolkit/components/terminator/nsTerminator.cpp:162
3 	nss3.dll 	_PR_NativeRunThread 	nsprpub/pr/src/threads/combined/pruthr.c:397
4 	nss3.dll 	pr_root 	nsprpub/pr/src/md/windows/w95thred.c:137
5 	ucrtbase.dll 	_o___stdio_common_vsprintf_s 	
6 	kernel32.dll 	BaseThreadInitThunk 	
7 	mozglue.dll 	patched_BaseThreadInitThunk 	mozglue/build/WindowsDllBlocklist.cpp:835
8 	ntdll.dll 	__RtlUserThreadStart 	
9 	ntdll.dll 	_RtlUserThreadStart
(In reply to Marcia Knous [:marcia - use ni] from comment #6)
> IPCError-browser | ShutDownKill seems very high in nightly. Jim - can you
> help us triage this particular crash signature?

I don't see shutdownhang in the top crash signature list any more (well, I see a few), which was always our top crash. I think whatever we were doing that processed the signatures to be things like "shutdownhang | foo | bar" broke. Will, could you take a look into this when you get back from holiday? Thanks.
Flags: needinfo?(willkg)
I'll file a separate bug.
Flags: needinfo?(willkg)
Depends on: 1426712
Ah, I guess this has just been the top crash for a while, looking back at old builds. I just got confused about it. Sorry.
I don't think the processor for shutdownhang signature is broken. There are still many signatures containing "shutdownhang". 

https://crash-stats.mozilla.com/search/?signature=shutdownhang&product=Firefox&date=%3E%3D2017-12-15T23%3A12%3A47.000Z&date=%3C2017-12-22T23%3A12%3A47.000Z&_sort=-date&_facets=signature&_columns=date&_columns=signature&_columns=product&_columns=version&_columns=build_id&_columns=platform#facet-signature	

Shows 50 signatures containing the term "shutdownhang" accounting for 186,115 Crash Reports over the past 7 days.

---

Shutdownhang crashes are still top crashers though. 

Do they have a [meta] bug to help with organization? 
(Should they have a [meta] bug?)

Looking at Top Crashers for Firefox 57.0.2
Top 300 Crashing Signatures. 7 days ago

https://crash-stats.mozilla.com/topcrashers/?product=Firefox&version=57.0.2&_facets_size=300

Find (Ctrl+F) "shutdownhang" shows 112 matches out of 300 results. So about a third of all top crash signatures are related to "shutdownhang". 

Out of the top 30 there are 14 with "shutdownhang" (or about half).

3 	2.48% 	-0.07% 	shutdownhang | mozilla::layers::CompositorThreadHolder::Shutdown
application
	4029 	4029 	0 	0 	3794 	0 	2016-11-10
	
5 	1.62% 	-0.12% 	shutdownhang | mozilla::SpinEventLoopUntil<T> | mozilla::net::nsHttpConnectionMgr::Shutdown
application
	2626 	2626 	0 	0 	2441 	0 	2017-10-25

8 	1.4% 	-0.02% 	shutdownhang | nsThread::Shutdown | nsThreadManager::Shutdown
yellow flag application
	2264 	2264 	0 	0 	2277 	0 	2017-09-27

9 	1.31% 	0.08% 	shutdownhang | mozilla::dom::quota::QuotaManager::ShutdownObserver::Observe
application
	2128 	2128 	0 	0 	1910 	0 	2016-04-14 

11 	1.04% 	-0.02% 	shutdownhang | NtQueryAttributesFile
application
	1682 	1682 	0 	0 	1722 	0 	2015-01-21 

13 	0.9% 	-0.14% 	shutdownhang | `anonymous namespace''::ParentImpl::ShutdownBackgroundThread
application
	1463 	1463 	0 	0 	1432 	0 	2017-09-28

15 	0.84% 	-0.08% 	shutdownhang | mozilla::dom::workers::RuntimeService::Cleanup
application
	1363 	1363 	0 	0 	1296 	0 	2015-10-31

16 5 	0.81% 	-0.11% 	shutdownhang | nsAppShell::ProcessNextNativeEvent
application
	1318 	1318 	0 	0 	1405 	0 	2015-10-20

19 	0.73% 	0.03% 	shutdownhang | PR_MD_WAIT_CV | PR_Wait | mozilla::ReentrantMonitor::Wait | mozilla::layers::SynchronousTask::Wait
application
	1191 	1191 	0 	0 	1200 	0 	2016-11-23

22 5 	0.61% 	-0.09% 	shutdownhang | mozilla::SpinEventLoopUntil<T> | nsThread::Shutdown | nsThreadManager::Shutdown
yellow flag application
	990 	990 	0 	0 	916 	0 	2017-10-25 

24 8 	0.54% 	-0.06% 	shutdownhang | NtUserMsgWaitForMultipleObjectsEx | CCliModalLoop::BlockFn
application
	882 	882 	0 	0 	842 	0 	2017-05-15

25 	0.53% 	0.14% 	shutdownhang | CCliModalLoop::BlockFn
application
	863 	863 	0 	0 	817 	0 	2016-08-17

28 6 	0.48% 	-0.03% 	shutdownhang | mozilla::SpinEventLoopUntil<T> | `anonymous namespace''::ParentImpl::ShutdownBackgroundThread
application
	783 	783 	0 	0 	777 	0 	2017-10-25 

29 8 	0.48% 	-0.06% 	shutdownhang | nsThreadManager::SpinEventLoopUntil
application
	780 	780 	0 	0 	798 	0 	2017-09-27 

31 	0.47% 	0.05% 	shutdownhang | MsgWaitForMultipleObjectsEx | CCliModalLoop::BlockFn
application
	757 	757 	0 	0 	737 	0 	2016-08-17 

32 8 	0.45% 	-0.04% 	shutdownhang | mozilla::SyncRunnable::DispatchToThread
application
	725 	725 	0 	0 	711 	0 	2017-07-29
(In reply to Marcia Knous [:marcia - use ni] from comment #6)
> IPCError-browser | ShutDownKill seems very high in nightly. Jim - can you
> help us triage this particular crash signature?

This our generic "a process didn't shut down in a timely fashion so we killed it." signature.
Status: NEW → RESOLVED
Closed: 2 years ago
Flags: needinfo?(jmathies)
Resolution: --- → DUPLICATE
Duplicate of bug: IPCError_ShutDownKill
Status: RESOLVED → REOPENED
Depends on: 1405290
Resolution: DUPLICATE → ---
See Also: 1405290
See Also: → 1439893
Priority: -- → P3
Depends on: 1437575
User Story: (updated)
You need to log in before you can comment on or make changes to this bug.